function out=C(A,x,alpha)
% out=C(a,x,alpha)
% Usage: Cole-Cole
%        A = height
%        x = log10(tau)--> vector
%        alpha = alpha        
% Created by: Maor Asher
%--------------------------------------------------------------------------
% calculate the Cole-Cole
out= A.*(sin((1-alpha)*pi)./(cosh(alpha.*x)-cos((1-alpha)*pi)));
% send the result as a column vector
out=out(:);