function out=H(A,x,alpha,gamma)
% Function out=H(A,x,alpha,gamma)
% Usage: HN
%        A = height
%        x = log10(tau)--> vector
%        alpha = alpha; gamma = gamma     
% Created by: Maor Asher
%--------------------------------------------------------------------------
% calculate the HN
out=(A*10.^(x.*(alpha*gamma)).*sin(gamma.*atan(abs(sin(alpha*pi)./(10.^(x.*alpha)+cos(alpha*pi))))))./(100.^(x.*alpha)+cos(alpha*pi).*2.*10.^(x.*alpha)+1).^(gamma/2);
% send the result as a column vector
out=out(:);