function out=V(a,x,s1,gamma,f)
% out=V(a,x,s1,gamma,f)
% Usage: Pseudo Voigt
%        a = height
%        x = log10(tau)--> vector 
%        s1 = Gauss width; gamma = Lorenz width; f = Gauss weight
% Created by: Yehu-David Horev
%--------------------------------------------------------------------------
% calculate the Pseugo Voigt
out=f.*(G(a,x,s1))+(1-f).*(L(a,x,gamma));
% send the result as a column vector
out=out(:);