function flags=checkpaths(path1,path2)
% Usage: This function gets 2 full paths and returns an array of 4 flags:
% flags = [is directory 1 valid?,is directory 2 valid?,is file 1 valid?,is file 2 valid?]
%--------------------------------------------------------------------------
flags=[0,0,0,0];
length1=length(path1);
length2=length(path2);
slash1=0;
slash2=0;
for ii=1:max(length1,length2)
    if ii<=length1
        if strcmp('\',path1(ii))
            slash1=ii;
        end
    end
    if ii<=length2
        if strcmp('\',path2(ii))
            slash2=ii;
        end
    end
end

for ii=1:slash1
    filedir1(1,ii)=path1(ii);
end
if isfolder(filedir1)
    flags(1)=1;
end
for ii=1:slash2
    filedir2(1,ii)=path2(ii); 
end
if isfolder(filedir2)
    flags(2)=1;
end

for ii=1:length1-slash1
    filename1(1,ii)=path1(slash1+ii); 
end
for ii=1:length2-slash2
    filename2(1,ii)=path2(slash2+ii); 
end

% Check if the Data file names exist:
files=dir(filedir1);
s=size(files,1);
if strcmp(filedir1,filedir2)
    a=1;
else
    a=0;
end
for ii=1:s
    if strcmp(filename1,files(ii).name)
        flags(3)=1;
    end
    if a==1
        if strcmp(filename2,files(ii).name)
            flags(4)=1;
        end
    end
end
if a==0
    files=dir(filedir2);
    s=size(files,1);
    for ii=1:s
        if strcmp(filename2,files(ii).name)
            flags(4)=1;
        end
    end
end