function out=B(A,x,alpha)
% out=B(a,x,alpha)
% Usage: KF
%        A = height
%        x = log10(tau)--> vector
%        alpha = alpha        
% Created by: Maor Asher
%--------------------------------------------------------------------------
% calculate the KF
out= A.*((cos(alpha*(pi/2)).*cosh(alpha.*x))./((cos(alpha*(pi/2))^2)+(sinh(alpha.*x)).^2));
% send the result as a column vector
out=out(:);